Skip to main content
GET
Get schedule

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

1

schedule_id
string
required

Schedule ID

Example:

"1488e2ce-f906-47fb-ba32-c25a3f63df4f"

Response

200 - application/json

OK

id
string
required

Schedule ID

Example:

"1488e2ce-f906-47fb-ba32-c25a3f63df4f"

max_quantity
integer
required

Number of stored resources.

Required range: x <= 10000
Example:

2

owner
string
required

Schedule owner

Example:

"lifecycle_policy"

owner_id
integer
required

Owner ID

Example:

1

retention_time
RetentionTimeSerializer · object | null
required

Time after which the resource will be deleted

type
string
required

Schedule type

Allowed value: "cron"
Example:

"cron"

user_id
integer
required

User ID

Example:

12

day
string | null

Day of the month (1-31, '*') or a comma-separated list of days

Example:

"5"

day_of_week
string | null

Weekday or a comma-separated list of weekdays (mon,tue,wed,thu,fri,sat,sun,*)

Example:

"mon,fri"

hour
string | null

Hour (0-23, '*') or a comma-separated list of hours

Example:

"0, 20"

minute
string | null

Minute (0-59, '*') or a comma-separated list of minutes

Example:

"30"

month
string | null

Month (1-12, '*') or a comma-separated list of months

Example:

"1,6"

resource_name_template
string | null

Template for resource names

Example:

"reserve snap of the volume {volume_id}"

timezone
string | null

A pytz timezone. Defaults to UTC.

Example:

"UTC"

week
string | null

ISO week (1-53, '*') or a comma-separated list of weeks

Example:

"1"